@import "variables.scss";

.cover-table {
  display: block;
  width: 100%;
  min-width: 826px;
  padding: 36px 30px;
  background: $white-text-color;
  overflow-x: auto;
  // list title
  .list-title {
    display: flex;
    align-items: center;
    width: 100%;
    height: 35px;
    padding: 0;
    margin: 0;
    background: $primary-color;
    border-radius: 5px 5px 0 0;

    li {
      display: flex;
      align-items: center;
      flex-direction: row-reverse;
      height: 100%;

      &:nth-child(1) {
        flex-direction: row;
        width: 7.7%;
        padding-left: 15px;
      }

      &:nth-child(2) {
        width: 12.14%;
      }

      &:nth-child(3) {
        width: 14.5%;
      }

      &:nth-child(4) {
        width: 16.05%;
      }

      &:nth-child(5) {
        width: 18.53%;
      }

      &:nth-child(6) {
        width: 15.14%;
      }

      &:nth-child(7) {
        width: 15.94%;
        padding-right: 38px;
      }

      .title-list {
        display: block;
        font-size: 11px;
        color: $white-text-color;
        text-align: right;
      }
    }
  }
  // list content
  .list-content {
    width: 100%;
    padding: 0;
    margin: 0;
    list-style-type: none;

    li {
      width: 100%;
      height: 40px;
      background: $white-text-color;

      &:nth-child(odd) {
        background: $disabled-color;
        border-top: 1px solid $gray-light;
        border-bottom: 1px solid $gray-light;
      }

      .list-sub {
        display: flex;
        align-items: center;
        width: 100%;
        height: 100%;
        padding: 0;

        li {
          display: flex;
          align-items: center;
          flex-direction: row-reverse;
          background: transparent;
          border: none;

          &:nth-child(1) {
            flex-direction: row;
            width: 7.7%;
            padding-left: 15px;
          }

          &:nth-child(2) {
            width: 12.14%;
          }

          &:nth-child(3) {
            width: 14.5%;
          }

          &:nth-child(4) {
            width: 16.05%;
          }

          &:nth-child(5) {
            width: 18.53%;
          }

          &:nth-child(6) {
            width: 15.14%;
          }

          &:nth-child(7) {
            width: 15.94%;
            padding-right: 38px;
          }

          .num-stage {
            display: block;
            font-size: 12px;
            color: $gray-darker;
          }

          .num-content {
            display: block;
            font-size: 12px;
            color: $gray-darker;
          }

          .box-time {
            display: none;
            align-items: center;
            width: 56px;
            height: 20px;
            padding: 0 3px;
            border-radius: 10px;
            background: $gray-lighter;

            img {
              display: block;
              width: 14px;
              height: 14px;
              margin-right: 3px;
            }

            .text-time {
              display: block;
              font-size: 10px;
              color: $gray;
            }
            &.box-time-show {
              display: flex;
            }
          }
        }
      }

      &.show-time {
        .list-sub {
          li {
            .box-time {
              display: flex;
            }

            .num-content {
              display: none;
            }
          }
        }
      }
    }
  }
  // box total
  .box-total {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: 40px;
    padding: 0 38px 0 15px;
    background: #eceeef;
    border-radius: 0 0 5px 5px;

    .text-total {
      display: block;
      font-size: 11px;
      font-weight: bold;
      color: $gray;
      text-transform: uppercase;
    }

    .num-total {
      display: block;
      font-size: 14px;
      font-weight: bold;
      color: $gray-darker;
    }
  }
}
